roar_exit(3)

NAME
roar_exit - let RoarAudio's sound server quit

roar_terminate - let RoarAudio's sound server quit as soon as all clients quit

SYNOPSIS

#include <roaraudio.h>

int roar_exit(struct roar_connection * con);

int roar_terminate(struct roar_connection * con, int terminate);

DESCRIPTION
Ask the sound server to quit.

roar_exit() let the server quit without waiting for any clients. All streams and client connections will be closed cleanly.

roar_terminate() will let the server quit as soon as all clients disconnects and all input streams ended. The listening socket will be closed. This is useful in case of restarting roard.

PARAMETERS

con An open control connection to the server.

terminate
    Wait for all clients to disconnect and all streams to EOF in case of 1. In case of 0 roar_terminate() is equal to roar_exit().

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

NOTES
Even when the call was successful you have to use roar_disconnect(3) to disconnect from the server.

EXAMPLES
FIXME

SEE ALSO
roar_disconnect(3), libroar(7), RoarAudio(7).